Subject: Re: bug#25562: 25.1; isearch-forward-word first matches a non-word

From: Eli Zaretskii <[email-masked]>
Date: Tue, 31 Jan 2017 05:28:27 +0200

> From: Juri Linkov <[email-masked]>
> Date: Tue, 31 Jan 2017 01:24:07 +0200
> Cc: [email-masked]
> 
> You can try yourself using the minimal patch below that demonstrates your idea.
> 
> But from what I see, it's not too good, using the recipe from your top post:
> 
> emacs -Q
> M-<
> M-s w
> i
> 
> After typing the letter “i”, isearch fails, beeps, flashes the screen,
> with a clear indication that something went wrong.  This is more confusing
> for a user, because now a user has to stop and think about what is wrong.

I think this is a consequence of the simple fact that "word search"
and "incremental search" contradict each other: as long as "the word"
was not fully specified, searching for it incrementally is not a
well-defined operation.